import os
import config
import re
from tool import *
from db_connet import *
from datetime import datetime, timedelta, timezone
from tools.zhdate import ZhDate
from collections import Counter

# 國曆轉農曆
def lunar(date):
    return ZhDate.from_datetime(date)

# 同步訂單表(官網)
def sync_june1_order(start=today(),end=today()):
    days = datelist(start,end)
    logTxt('== sync_order start ==')
    logTxt('start:'+start+",end:"+end)
    for date in days:
        sql = f"""
        SELECT l.mid,m.uid,l.category_name,l.category_id,l.ordernumber,l.location,l.payway,l.delivery_way,l.pay_status,l.process_status,l.company_number,l.company_title,l.invoice_status,l.etd,l.web_discount,l.class_discount,l.member_discount,l.web_gift,l.freight,l.entity_discount,l.totalprice,l.orderzip,l.orderaddresscity,l.orderaddressarea,l.recipientzip,l.recipientaddresscity,l.recipientaddressarea,l.totalprice_after-web_discount-class_discount-member_discount-entity_discount as totalprice_after,l.create_date  FROM 
            `order_list` l 
        LEFT 
            JOIN member_list m on l.mid = m.id 
        WHERE 
            l.create_date like '{date}%' OR l.modify_date like '{date}%';
        """
        logTxt("== select june1.order_list ==\n"+sql)
        data = select_db(sql,'june1')
        print('june1:'+date)
        logTxt("== sync omo_order_list ==")
        for i in data:
            sql = f"select ordernumber from omo_order_list where ordernumber = '{i['ordernumber']}'"
            query = select_db(sql,'lake')
            if len(query) == 0:
                sql = f"INSERT INTO `omo_order_list` (mid,userId,channel,category_name,category_id,ordernumber,location,payway,delivery_way,pay_status,process_status,company_number,company_title,invoice_status,etd,web_discount,class_discount,member_discount,web_gift,freight,entity_discount,totalprice,orderzip,orderaddresscity,orderaddressarea,recipientzip,recipientaddresscity,recipientaddressarea,totalprice_after,create_date,lunar_date) "
                sql += f"VALUES ('{i['mid']}','{0 if i['uid'] is None else i['uid']}',1,'{i['category_name']}','{i['category_id']}','{i['ordernumber']}','{i['location']}','{i['payway']}','{i['delivery_way']}','{i['pay_status']}','{i['process_status']}','{i['company_number']}','{i['company_title']}','{i['invoice_status']}','{i['etd']}','{i['web_discount']}','{i['class_discount']}','{i['member_discount']}','{i['web_gift']}','{i['freight']}','{i['entity_discount']}','{i['totalprice']}','{i['orderzip']}','{i['orderaddresscity']}','{i['orderaddressarea']}','{i['recipientzip']}','{i['recipientaddresscity']}','{i['recipientaddressarea']}','{i['totalprice_after']}','{i['create_date']}','{lunar(i['create_date'])}')"
                insert_db(sql,'lake')
                logTxt("== inster lake.omo_order_list ==\n"+sql)
                continue
            sql = f"update omo_order_list set userId = '{0 if i['uid'] is None else i['uid']}', process_status = '{i['process_status']}', pay_status = '{i['pay_status']}', totalprice_after = '{i['totalprice_after']}', lunar_date = '{lunar(i['create_date'])}', invoice_status = '{i['invoice_status']}',category_name = '{i['category_name']}', category_id = '{i['category_id']}' "
            sql += f"where ordernumber = '{i['ordernumber']}'"
            update_db(sql,'lake')
            logTxt("== update lake.omo_order_list ==\n"+sql)
    logTxt('== sync_order end ==')

# 同步訂單明細(官網)
def sync_june1_order_detail(start=today(),end=today()):
    days = datelist(start,end)
    logTxt('== sync_order_detail start ==')
    logTxt('start:'+start+",end:"+end)
    for date in days:
        logTxt("== sync omo_order_detail ==")
        sql = "SELECT * from order_detail "
        sql += f"WHERE create_date like '{date}%' OR "
        sql += f"modify_date like '{date}%'"
        logTxt("== SELECT order_detail ==\n"+sql)
        data_detail = select_db(sql,'june1')
        print('june1_detaile:'+date)
        for i in data_detail:
            sql = f"select ordernumber from omo_order_detail where ordernumber = '{i['ordernumber']}' and product_code = '{i['product_code']}' "
            logTxt("== SELECT lake.omo_order_detail ==\n"+sql)
            query = select_db(sql,'lake')
            if len(query) == 0:
                sql = "INSERT INTO `omo_order_detail`(`id`,`channel`, `order_id`, `firm_id`, `ordernumber`, `product_name`, `product_code`, `product_sn`, `product_spec`, `invoice_name`, `listprice`, `sellingprice`, `isadd`, `isbaby`, `addprice`, `is_exclude`, `freight_type`, `commission`, `amount`, `total_price`, `etd`, `create_date`, `modify_date`, `points_use_id`, `item_status`, `lunar_date`) "
                sql += f"VALUES (null, 1,'{i['order_id']}','{i['firm_id']}','{i['ordernumber']}','{i['product_name']}','{i['product_code']}','{i['product_sn']}','{i['product_spec']}','{i['invoice_name']}','{i['listprice']}','{i['sellingprice']}','{i['isadd']}','{i['isbaby']}','{i['addprice']}','{i['is_exclude']}','{i['freight_type']}','{i['commission']}','{i['amount']}','{i['total_price']}','{i['etd']}','{i['create_date']}','{now()}',{'null' if i['points_use_id'] is None else i['points_use_id']},'{i['item_status']}','{lunar(i['create_date'])}')"
                insert_db(sql,'lake')
                logTxt("== INSERT lake.omo_order_detail ==\n"+sql)

            sql = f"UPDATE `omo_order_detail` "
            sql += f"SET `order_id` = '{i['order_id']}',`firm_id` = '{i['firm_id']}',`ordernumber` = '{i['ordernumber']}',  `product_name` = '{i['product_name']}',`product_code` = '{i['product_code']}',`product_sn` = '{i['product_sn']}',`product_spec` = '{i['product_spec']}',`invoice_name` = '{i['invoice_name']}',`listprice` = '{i['listprice']}',`sellingprice` = '{i['sellingprice']}',`isadd` = '{i['isadd']}',`isbaby` = '{i['isbaby']}',`addprice` = '{i['addprice']}',`is_exclude` = '{i['is_exclude']}',`freight_type` = '{i['freight_type']}',`commission` = '{i['commission']}',`amount` = '{i['amount']}',`total_price` = '{i['total_price']}',`etd` = '{i['etd']}',`create_date` = '{i['create_date']}',`modify_date` = '{i['modify_date']}',`points_use_id` = {'null' if i['points_use_id'] is None else i['points_use_id']},`item_status` = '{i['item_status']}', `lunar_date` = '{lunar(i['create_date'])}'"
            sql += f"where ordernumber = '{i['ordernumber']}' and product_code = '{i['product_code']}'"
            update_db(sql,'lake')
            logTxt("== UPDATE lake.order_detail ==\n"+sql)
    logTxt('== sync_order_detail end ==')



# 同步訂單表(彌月)
def sync_baby_order(start=today(),end=today()):
    days = datelist(start,end)
    logTxt('== sync_order start ==')
    logTxt('start:'+start+",end:"+end)
    for date in days:
        sql = f"""
        select 
            l.mid,m.uid,l.category_name,l.category_id,l.ordernumber,l.location,l.payway,l.delivery_way,l.pay_status,l.process_status,l.company_number,l.company_title,l.invoice_status,l.etd,l.web_discount,l.class_discount,l.member_discount,l.web_gift,l.freight,l.entity_discount,l.totalprice,l.orderzip,l.orderaddresscity,l.orderaddressarea,l.recipientzip,l.recipientaddresscity,l.recipientaddressarea,l.totalprice_after-web_discount-class_discount-member_discount-entity_discount as totalprice_after,l.create_date 
        FROM 
            `order_list` l 
        LEFT JOIN 
            member_list m on l.mid = m.id 
        WHERE 
            l.create_date like '{date}%' OR l.modify_date like '{date}%';
        """
        logTxt("== select june1.order_list ==\n"+sql)
        data = select_db(sql,'baby')
        print('baby:'+date)
        logTxt("== sync omo_order_list ==")
        for i in data:
            sql  = f"select ordernumber from omo_order_list where ordernumber = '{i['ordernumber']}'"
            query = select_db(sql,'lake')
            if len(query) == 0:
                sql = f"INSERT INTO `omo_order_list` (mid,userId,channel,category_name,category_id,ordernumber,location,payway,delivery_way,pay_status,process_status,company_number,company_title,invoice_status,etd,web_discount,class_discount,member_discount,web_gift,freight,entity_discount,totalprice,orderzip,orderaddresscity,orderaddressarea,recipientzip,recipientaddresscity,recipientaddressarea,totalprice_after,create_date,lunar_date) "
                sql += f"VALUES ('{i['mid']}','{0 if i['uid'] is None else i['uid']}',2,'{i['category_name']}','{i['category_id']}','{i['ordernumber']}','{i['location']}','{i['payway']}','{i['delivery_way']}','{i['pay_status']}','{i['process_status']}','{i['company_number']}','{i['company_title']}','{i['invoice_status']}','{i['etd']}','{i['web_discount']}','{i['class_discount']}','{i['member_discount']}','{i['web_gift']}','{i['freight']}','{i['entity_discount']}','{i['totalprice']}','{i['orderzip']}','{i['orderaddresscity']}','{i['orderaddressarea']}','{i['recipientzip']}','{i['recipientaddresscity']}','{i['recipientaddressarea']}','{i['totalprice_after']}','{i['create_date']}','{lunar(i['create_date'])}') "
                insert_db(sql,'lake')
                logTxt("== inster lake.omo_order_list ==\n"+sql)
                continue

            sql = f"update omo_order_list set userId = '{0 if i['uid'] is None else i['uid']}', process_status = '{i['process_status']}', pay_status = '{i['pay_status']}', totalprice_after = '{i['totalprice_after']}', lunar_date = '{lunar(i['create_date'])}', invoice_status = '{i['invoice_status']}', category_name = '{i['category_name']}', category_id = '{i['category_id']}' "
            sql += f"where ordernumber = '{i['ordernumber']}'"
            update_db(sql,'lake')
            logTxt("== update lake.omo_order_list ==\n"+sql)
    logTxt('== sync_order end ==')

# 同步訂單明細(彌月)
def sync_baby_order_detail_baby(start=today(),end=today()):
    days = datelist(start,end)
    logTxt('== sync_order_detail start ==')
    logTxt('start:'+start+",end:"+end)
    for date in days:
        logTxt("== sync omo_order_detail ==")
        sql = "SELECT * from order_detail "
        sql += f"WHERE create_date like '{date}%' OR "
        sql += f"modify_date like '{date}%'"
        logTxt("== SELECT order_detail ==\n"+sql)
        data_detail = select_db(sql,'baby')
        print('baby_datail:'+date)
        for i in data_detail:
            sql = f"select ordernumber from omo_order_detail where ordernumber = '{i['ordernumber']}' and product_code = '{i['product_code']}' "
            logTxt("== SELECT lake.omo_order_detail ==\n"+sql)
            query = select_db(sql,'lake')
            if len(query) == 0:
                sql = "INSERT INTO `omo_order_detail`(`id`, `channel`, `order_id`, `firm_id`, `ordernumber`, `product_name`, `product_code`, `product_sn`, `product_spec`, `invoice_name`, `listprice`, `sellingprice`, `isadd`, `isbaby`, `addprice`, `is_exclude`, `freight_type`, `commission`, `amount`, `total_price`, `etd`, `create_date`, `modify_date`, `points_use_id`, `item_status`,`lunar_date`) "
                sql += f"VALUES (null, 2,'{i['order_id']}','{i['firm_id']}','{i['ordernumber']}','{i['product_name']}','{i['product_code']}','{i['product_sn']}','{i['product_spec']}','{i['invoice_name']}','{i['listprice']}','{i['sellingprice']}','{i['isadd']}','{i['isbaby']}','{i['addprice']}','{i['is_exclude']}','{i['freight_type']}','{i['commission']}','{i['amount']}','{i['total_price']}','{i['etd']}','{i['create_date']}','{now()}',{'null'},'{i['item_status']}','{lunar(i['create_date'])}') "
                logTxt("== INSERT lake.omo_order_detail ==\n"+sql)
                insert_db(sql,'lake')

            sql = f"UPDATE `omo_order_detail` "
            sql += f"SET `order_id` = '{i['order_id']}',`firm_id` = '{i['firm_id']}',`ordernumber` = '{i['ordernumber']}',  `product_name` = '{i['product_name']}',`product_code` = '{i['product_code']}',`product_sn` = '{i['product_sn']}',`product_spec` = '{i['product_spec']}',`invoice_name` = '{i['invoice_name']}',`listprice` = '{i['listprice']}',`sellingprice` = '{i['sellingprice']}',`isadd` = '{i['isadd']}',`isbaby` = '{i['isbaby']}',`addprice` = '{i['addprice']}',`is_exclude` = '{i['is_exclude']}',`freight_type` = '{i['freight_type']}',`commission` = '{i['commission']}',`amount` = '{i['amount']}',`total_price` = '{i['total_price']}',`etd` = '{i['etd']}',`create_date` = '{i['create_date']}',`modify_date` = '{i['modify_date']}',`points_use_id` = {'null'},`item_status` = '{i['item_status']}' "
            sql += f"where ordernumber = '{i['ordernumber']}' and product_code = '{i['product_code']}', `lunar_date` = '{lunar(i['create_date'])}'"
            update_db(sql,'lake')
            logTxt("== UPDATE lake.order_detail ==\n"+sql)
    logTxt('== sync_order_detail end ==')

# 同步訂單明細(一頁式)
def sync_one_order(start=today(),end=today()):

    ''' 100 未付款 ; 110已付款 '''
    pay_status = {
        100:0,110:1
    }

    ''' 訂單狀態：
        200:待處理 0:未處理
        204:處理中 1:處理中
        205:客服處理中 1:處理中
        208:備貨中 2:可出貨
        210:已出貨 3:已出貨
        300:完成 3:已出貨
        500:訂單取消 6:取消訂單
        510:退款取消 6:取消訂單
        520:退貨取消 5:退貨'''
    order_status = {
        200:0,204:1,205:1,208:2,210:3,300:3,500:6,510:6,520:5
    }
 
    days = datelist(start,end)
    for date in days:
        sql = f'''
                SELECT o.code,o.pay_status,o.order_status,o.user_id,o.pay_method_id,o.activity_freight_id,o.freight_fee,o.items_total,o.total,DATE(o.shipped_at) as shipped_at,o.created_at as create_date,
                inv.company_number,inv.company_title,inv.invoice_status,
                cust.zipcode,cust.county,cust.district,
                rec.zipcode as recipientzip,rec.county as recipientaddresscity,rec.district as recipientaddressarea,
                af.type as freight_type
                FROM `orders` o 
                LEFT JOIN systemlead_invoices inv on o.id = inv.order_id 
                LEFT JOIN order_customers cust on o.id = cust.order_id 
                LEFT JOIN order_receivers rec on o.id = rec.order_id 
                LEFT JOIN activity_freights af on o.activity_freight_id = af.id
                WHERE (DATE(o.created_at) = '{date}' OR o.updated_at = '{date}') and o.deleted_at is null
            '''
        logTxt("== select one.order_list ==\n"+sql)
        data = select_db(sql,'one')
        print('one:'+date)
        for i in data:
            sql  = f"select ordernumber from omo_order_list where ordernumber = '{i['code']}'"
            logTxt("== INSERT one.omo_order_list ==\n"+sql)
            query = select_db(sql,'lake')
            if len(query) == 0:
                if i['freight_type'] is not None :
                    if(i['freight_type'].find('shore') == -1):
                        location = 1
                    else:
                        location = 2
                else:
                    location = 1

                sql = f"INSERT INTO `omo_order_list` (mid,channel,ordernumber,category_name,category_id,location,payway,delivery_way,pay_status,process_status,company_number,company_title,invoice_status,etd,freight,totalprice,orderzip,orderaddresscity,orderaddressarea,recipientzip,recipientaddresscity,recipientaddressarea,totalprice_after,create_date,lunar_date) " 

                sql += f"VALUES ('{i['user_id']}',6,'{i['code']}','','','{location}','{i['pay_method_id']}','1','{pay_status[i['pay_status']]}','{order_status[i['order_status']]}','{'' if i['company_number'] is None else i['company_number']}','{'' if i['company_title'] is None else i['company_title']}','{i['invoice_status']}','{'' if i['shipped_at'] is None else i['shipped_at']}','{i['freight_fee']}','{i['items_total']}','{i['zipcode']}','{i['county']}','{i['district']}','{i['zipcode'] if i['recipientzip'] is None else i['recipientzip']}','{i['county'] if i['recipientaddresscity'] is None else i['recipientaddresscity']}','{i['district'] if i['recipientaddressarea'] is None else i['recipientaddressarea']}','{i['total']}','{i['create_date']}','{lunar(i['create_date'])}') "
                logTxt("== inster lake.omo_order_list ==\n"+sql)
                insert_db(sql,'lake') 
                continue

            sql = f"update omo_order_list set process_status = '{order_status[i['order_status']]}', pay_status = '{pay_status[i['pay_status']]}', totalprice_after = '{i['total']}', lunar_date = '{lunar(i['create_date'])}', invoice_status = '{i['invoice_status']}', create_date = '{i['create_date']}' "
            sql += f"where ordernumber = '{i['code']}'"
            logTxt("== update lake.omo_order_list ==\n"+sql)
            update_db(sql,'lake')

# 同步訂單明細(一頁式)
def sync_one_order_detail(start=today(),end=today()):
    days = datelist(start,end)
    logTxt('== sync_order_detail start ==')
    logTxt('start:'+start+",end:"+end)
    material_spec_ary = {}
    query_specifications = select_db("SELECT id,code FROM `material_specifications`",'one')
    for m in query_specifications:
        material_spec_ary[m['id']] = m['code']
   
    for date in days:
        sql = f'''
            SELECT item.id as detail_id,item.order_id, item.product_name, item.product_property_id, item.quantity as amount, item.subtotal as total_price, item.created_at as create_date, item.updated_at as modify_date, item.deleted_at, item.material_specifications_id,
            o.bonus_percent, o.activity_freight_id, o.code as ordernumber, af.name as freight_name, DATE(o.shipped_at) as etd,
            p.invoice_name, item.price, p.original_price, p.code product_sn
            FROM `order_items` item 
            LEFT JOIN orders o on o.id = item.order_id
            LEFT JOIN products p on item.product_id = p.id 
            LEFT JOIN activity_freights af on o.activity_freight_id = af.id
            WHERE (DATE(item.created_at) = '{date}' OR DATE(item.updated_at) = '{date}') and item.deleted_at is null
        ''' 
        data_detail = select_db(sql,'one')

        sku_combin = ''
        for i in data_detail:
            # product_code -> sku組合處理
            material_specifications_id = re.sub("\[|\]","",i['material_specifications_id'])
            arr = material_specifications_id.split(',')
            sku_combin = ','.join(material_spec_ary[int(m)] for m in arr)

            # freight_type -> 溫層 1:常溫 / 2:冷藏 / 3:冷凍
            if i['freight_name'] is not None :
                if(i['freight_name'].find('常溫') == 0):
                    package = 1
                elif (i['freight_name'].find('冷藏') == 0):
                    package = 2
                else:
                    package = 3
            else :
                package = 1

            # item_status -> 商品是否取消
            if(i['deleted_at'] is not None):
                item_status = 0
            else:
                item_status = 1

            sql = f'''
                select ordernumber 
                from omo_order_detail 
                where ordernumber = '{i['ordernumber']}' and detail_id = '{i['detail_id']}' 
            '''    
            query = select_db(sql,'lake')
            if len(query) == 0:
                sql = "INSERT INTO `omo_order_detail`(`id`,`detail_id`, `channel`, `order_id`, `firm_id`, `ordernumber`, `product_name`, `product_code`, `product_sn`, `product_spec`, `invoice_name`, `listprice`, `sellingprice`, `isadd`, `isbaby`, `addprice`, `is_exclude`, `freight_type`, `commission`, `amount`, `total_price`, `etd`, `create_date`, `modify_date`, `points_use_id`, `item_status`,`lunar_date`) "
                sql += f"VALUES (null,'{i['detail_id']}', 6,'{i['order_id']}','8','{i['ordernumber']}','{i['product_name']}','{sku_combin}','{i['product_sn']}','{i['product_name']}','{i['invoice_name']}','{i['original_price']}','{i['price']}',{ 1 if i['product_property_id'] == 2 else 0},0,0,0,'{package}','{int(i['bonus_percent']*i['total_price'])}','{i['amount']}','{i['total_price']}','{'0000-00-00' if i['etd'] is None else i['etd']}','{i['create_date']}','{i['modify_date']}',{'null'},'{item_status}','{lunar(i['modify_date'])}') "    

                res = insert_db(sql,'lake')
                logTxt("== INSERT one.omo_order_detail ==\n"+sql)
                logTxt("== INSERT one.res ==\n"+str(res))
                continue

            sql = f"UPDATE `omo_order_detail` "
            sql += f"SET `product_name` = '{i['product_name']}',`product_code` = '{sku_combin}',`product_sn` = '{i['product_sn']}',`product_spec` = '{i['product_name']}',`invoice_name` = '{i['invoice_name']}',`listprice` = '{i['original_price']}',`sellingprice` = '{i['price']}',`isadd` = '{ 1 if i['product_property_id'] == 2 else 0}',`freight_type` = '{package}',`commission` = '{int(i['bonus_percent']*i['total_price'])}',`amount` = '{i['amount']}',`total_price` = '{i['total_price']}',`etd` = '{'0000-00-00' if i['etd'] is None else i['etd']}',`create_date` = '{i['create_date']}',`modify_date` = '{i['modify_date']}',`item_status` = '{item_status}' "
            sql += f"where ordernumber = '{i['ordernumber']}' and detail_id = '{i['detail_id']}'"
            update_db(sql,'lake')

# 清洗團購特殊product_code
def clear_one_detail_product_code(start=today(),end=today()):
    prd_sku_dict        = dict()
    prd_sku             = dict()
    order_details       = create_dict()
    
    # 針對組合商品組出編號對照表
    # 範例：{'DG010201-01': ['DG010101-01', 'DG010407-01'], 'DG010201-02': ['DG010101-02', 'DG010407-01']}
    sql = '''
        SELECT id,sku,combinations_product_spec_id FROM `product_specs`
    '''
    logTxt('step1:'+sql)
    res = select_db(sql,'product')
    for val in res:
        prd_sku_dict[val['id']] = val['sku']
    
    sql = '''
        SELECT * FROM `product_specs` WHERE combinations_product_spec_id is not null
    '''
    logTxt('step2:'+sql)
    res = select_db(sql,'product')
    for val in res:
        prd_sku[val['sku']] = [prd_sku_dict[int(m)] for m in val['combinations_product_spec_id'].split(',')]


    # 產出日期陣列
    days = datelist(start,end)

    # 撈出團購須要清洗的訂單明細
    for date in days:
        sql = f'''
            SELECT id,product_code,product_sn FROM `omo_order_detail` 
            WHERE `channel` = 6 and product_code like '%,%' and create_date LIKE '{date}%';
        '''
        res = select_db(sql,'lake')
        logTxt('step3:'+sql)
        for val in res:
            order_details.add(val['id'],
                ({
                    "product_sn":val['product_sn'],
                    "product_code": val['product_code'].split(','),

                })
            )
        
    # 團購商品product_code核對與更新
    for detail_key,detail_val in order_details.items():
        for prd_k,prd_v in prd_sku.items():
            prd_spu = prd_k.split('-')[0]
            # 拿出detail.product_sn與產品spu比對
            if(prd_spu == detail_val['product_sn']):
                # 底層sku核對
                if(Counter(detail_val['product_code']) == Counter(prd_v)):
                    sql = f"UPDATE `omo_order_detail` SET product_code = '{prd_k}' WHERE id = {detail_key}"
                    logTxt(sql)
                    update_db(sql,'lake')
                




# ==== 執行區塊 ====
'''
    官網訂單        sync_june1_order 
    官網訂單明細     sync_june1_order 
    
    彌月訂單        sync_baby_order 
    彌月訂單明細     sync_baby_order_detail_baby 

    一頁式訂單      sync_one_order() 
    一頁式明細訂單   sync_one_order_detail()
    一頁式特殊組合商品編號處理 clear_one_detail_product_code()
'''
sync_june1_order()
sync_june1_order_detail()

sync_baby_order()
sync_baby_order_detail_baby()

sync_one_order()
sync_one_order_detail()
clear_one_detail_product_code()
    

# ==== 暫放區塊 ====
# sync_june1_order('2017-12-27','2023-05-23')
# sync_june1_order_detail('2023-04-01','2023-04-30')

# sync_baby_order('2023-04-01','2023-04-30')
# sync_baby_order_detail_baby('2023-04-01','2023-04-30')
